# HG changeset patch
# User Carnë Draug <carandraug@octave.org>
# Date 1470540074 -3600
#      Sun Aug 07 04:21:14 2016 +0100
# Node ID f99c0b8cb67bdef50be6f7384e1d7e1c9f8de95b
# Parent  0ff3bd7d2750d4a1c4e7b21f9e84564f50353114
# Parent  a4551d2b5da5f73599e4a8a34c9fbe400db95618
maint: merge away accidental head.

diff -r 0ff3bd7d2750 -r f99c0b8cb67b scripts/general/repmat.m
--- a/scripts/general/repmat.m	Sat Aug 06 23:47:20 2016 +0100
+++ b/scripts/general/repmat.m	Sun Aug 07 04:21:14 2016 +0100
@@ -204,6 +204,9 @@
 %!assert (size (repmat (1, [0, 1])), [0, 1])
 %!assert (size (repmat (1, [0, 5])), [0, 5])
 
+%!assert (size (repmat (ones (0, 3), [2 3])), [0 9])
+%!assert (size (repmat (ones (0, 0, 3), [2 3])), [0 0 3])
+
 %!shared x
 %! x = struct ("a", [], "b", []);
 %!assert (size (repmat (x, [1, 0])), [1, 0])
@@ -217,4 +220,3 @@
 %!assert (size (repmat ({1}, [0, 5])), [0, 5])
 
 %!error (size (repmat (".", -1, -1)))
-
